namespace InABox.Core
{
    public class FileNameEditor : BaseDocumentEditor
    {
        public FileNameEditor() : this("All Files (*.*)|*.*")
        {
        }

        public FileNameEditor(string filter) : base(filter)
        {
            AllowView = true;
            RequireExisting = true;
        }

        public bool AllowView { get; set; }

        public bool RequireExisting { get; set; }

        protected override BaseEditor DoClone()
        {
            var result = (CloneBaseDocumentEditor() as FileNameEditor)!;
            result.AllowView = AllowView;
            result.RequireExisting = RequireExisting;
            return result;
        }
    }
}